Skip to content
GET /property-insight

Get property insights

Description

Get community insights and market analysis for a specific location.

Parameters

Name Type Required Description Example
location_id string Required - Location ID (Community ID) - Example: `51` 51

Code Examples

curl --request GET \
  --url 'https://uae-real-estate-property.p.rapidapi.com/property-insight?location_id=50' \
  --header 'x-rapidapi-host: uae-real-estate-property.p.rapidapi.com' \
  --header 'x-rapidapi-key: YOUR_API_KEY'

Example Response

Response
{
  "success": true,
  "data": {
    "data": {
      "attributes": {
        "id": 50,
        "name": "Dubai Marina",
        "location_type": "COMMUNITY",
        "level": 1,
        "path_name": "Dubai",
        "children_count": 278,
        "review": {
          "count": 1163,
          "score": 3.9
        },
        "info": {
          "tags": [
            {
              "content": "Luxurious",
              "id": 1100
            },
            {
              "content": "Waterfront Skyscrapers",
              "id": 1101
            }
          ]
        },
        "price_transactions": [
          {
            "average_price": 1170000,
            "bedroom_id": 1,
            "location_id": 50,
            "offering_type_id": 1,
            "property_type_id": 1
          },
          {
            "average_price": 1761000,
            "bedroom_id": 2,
            "location_id": 50,
            "offering_type_id": 1,
            "property_type_id": 1
          }
        ],
        "popular_locations": {
          "apartment": [
            {
              "id": 3128,
              "name": "Damac Heights",
              "review_count": 15,
              "review_score": 4
            }
          ]
        },
        "similar_communities": [
          {
            "id": 71,
            "name": "Jumeirah Lake Towers",
            "review_count": 482,
            "review_score": 3.9
          }
        ],
        "latest_properties": {
          "buy": [
            "…"
          ],
          "rent": [
            "…"
          ]
        }
      },
      "id": 50,
      "type": "location"
    }
  }
}

Try this endpoint now

Subscribe to UAEPropertyAPI on RapidAPI and start making requests in minutes.